import React from "react";
export interface LogoProps {
    isAnimated: boolean;
}
declare type SegmentClassNameOption = "back-1" | "back-2" | "back-3" | "clear" | "fore";
interface Segment {
    className: SegmentClassNameOption;
    length: number;
}
interface Line {
    index: number;
    segments: Segment[];
}
export interface LogoState {
    isSorted: boolean;
    lines: Line[];
}
export declare class Logo extends React.Component<LogoProps, LogoState> {
    private static HEIGHT_PER_LINE;
    private static SPACE_BETWEEN_SEGMENTS;
    constructor(props: LogoProps);
    componentDidMount(): void;
    render(): JSX.Element;
    private generateBackgroundColors;
    private getNextLength;
    private getNextBackColor;
    private mouseEnter;
    private mouseLeave;
    private renderSegments;
}
export {};
